Subject: Re: bug#17678: 24.4.50; Feature Request -- calculate new `window-start` & `window-end` before visual redisplay

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Jun 2014 20:54:27 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 11 Jun 2014 17:58:11 -0400
> 
> > The display engine changes window-start for several reasons, only one
> > of them being that point moved off screen.
> 
> Is there a comment somewhere that documents the cases where it can happen?

Not that I know of.

In general, there are functions that set the window-start forcibly.

> > I think follow-mode also needs to know when the window-end changes
> > (which could happen with no changes in window-start).  This is
> > normally known only at the end of window redisplay, IIRC.
> 
> In the case of follow-mode, I think the best way to handle that is to
> make it possible for follow-mode to force redisplay to go through the
> windows in a particular order.

That'd require some infrastructure that doesn't exist.